﻿#include <vector>
#include <iostream>
#include<cmath>
#include "histogram.h"
#include "text.h"
#include "svg.h"
const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
using namespace std;
struct Input {
	vector<double> numbers;
	size_t bin_count{};

};

//Input input_data()    3я лабораторная
//{
//	size_t number_count;
//	cin >> number_count;
//	Input in;
//	in.numbers.resize(number_count);
//	for (size_t i = 0; i < number_count; i++)
//	{
//		cin >> in.numbers[i];
//
//	}
//
//	cin >> in.bin_count;
//
//	return in;
//}
Input input_data(istream& in,bool prompt) {

    if (prompt == true) cerr << "Enter number_count: ";

    size_t number_count;
    in >> number_count;

    Input data;
    data.numbers.resize(number_count);

    if (prompt == true) cerr << "Enter numbers: ";

    for (size_t i = 0; i < number_count; i++) {
        in >> data.numbers[i];
    }

    if (prompt == true) cerr << "Enter bin count: ";

    in >> data.bin_count;
	return data;
}


int main()
{
	auto in = input_data(cin,false);
	vector <size_t> bins = make_histogram(in.numbers, in.bin_count);
	show_histogram_svg(bins, in.bin_count);
}
